Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Q3ImageDrag Class Reference

The Q3ImageDrag class provides a drag and drop object for transferring images. More...

    #include <Q3ImageDrag>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Inherits Q3DragObject.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- Q3ImageDrag ( QImage image, QWidget * dragSource = 0, const char * name = 0 )
- Q3ImageDrag ( QWidget * dragSource = 0, const char * name = 0 )
- ~Q3ImageDrag ()
- virtual void setImage ( QImage image )

- 9 public functions inherited from Q3DragObject
- 26 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- bool canDecode ( const QMimeSource * source )
- bool decode ( const QMimeSource * source, QImage & image )
- bool decode ( const QMimeSource * source, QPixmap & pixmap )

- 1 static public member inherited from Q3DragObject
- 4 static public members inherited from QObject

### Protected Functions

- 1 protected function inherited from Q3DragObject
- 7 protected functions inherited from QObject

## Detailed Description

The Q3ImageDrag class provides a drag and drop object for transferring images.

Images are offered to the receiving application in multiple formats, determined by Qt's output formats.

For more information about drag and drop, see the Q3DragObject class and the drag and drop documentation.

## Member Function Documentation

### Q3ImageDrag::Q3ImageDrag ( QImage image, QWidget * dragSource = 0, const char * name = 0 )

Constructs an image drag object with the given name, and sets its data to image. The dragSource is the widget that the drag operation started from.

### Q3ImageDrag::Q3ImageDrag ( QWidget * dragSource = 0, const char * name = 0 )

Constructs a default image drag object with the given name. The dragSource is the widget that the drag operation started from.

### Q3ImageDrag::~Q3ImageDrag ()

Destroys the image drag object.

### bool Q3ImageDrag::canDecode ( const QMimeSource * source ) `[static]`

Returns true if the information in the MIME source can be decoded into an image; otherwise returns false.

See also decode().

### bool Q3ImageDrag::decode ( const QMimeSource * source, QImage & image ) `[static]`

Decode the dropped information in the MIME source into the image. Returns true if successful; otherwise returns false.

See also canDecode().

### bool Q3ImageDrag::decode ( const QMimeSource * source, QPixmap & pixmap ) `[static]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Decodes the dropped information in the MIME source into the pixmap. Returns true if successful; otherwise returns false.

This is a convenience function that converts the information to a QPixmap via a QImage.

See also canDecode().

### void Q3ImageDrag::setImage ( QImage image ) `[virtual]`

Sets the image to be dragged. You will need to call this if you did not pass the image during construction.